require "import"
import "android.app.AlertDialog"
import "android.content.Intent"
import "android.net.Uri"

function openUrl(url)
  local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
  activity.startActivity(intent)
end

function openEmail(email)
  local intent = Intent(Intent.ACTION_SENDTO)
  intent.setData(Uri.parse("mailto:" .. email))
  activity.startActivity(intent)
end

function showAboutDialog()
  local builder = AlertDialog.Builder(activity)
  builder.setTitle("About Us")
  builder.setMessage("Developed by Blind Take Kunal")
  builder.setPositiveButton("Subscribe Our Channel", function(_, _)
    openUrl("https://youtube.com/@kunalnimbalkar-qg6xu?si=tB4twB-obze9k0In")
  end)
  builder.setNegativeButton("Join Our WhatsApp Group", function(_, _)
    openUrl("https://chat.whatsapp.com/C7zqJHQlI4T5XwPQbfVfqX")
  end)
  builder.setNeutralButton("Follow on Email", function(_, _)
    openEmail("kunalnimbalkar64@gmail.com")
  end)
  builder.show()
end

function showWelcomeDialog()
  local builder = AlertDialog.Builder(activity)
  builder.setTitle("Welcome to Tools")
  builder.setMessage([[
Developed by Kunal

Do you want to install this application?
]])

  builder.setPositiveButton("Install", function(_, _)
    openUrl("https://play.google.com/store/apps/details?id=com.techassistantforblind")
  end)

  builder.setNeutralButton("About Us", function(_, _)
    showAboutDialog()
  end)

  builder.setNegativeButton("Cancel", function(_, _)
    activity.finish()
  end)

  builder.show()
end

-- Show the main welcome dialog
showWelcomeDialog()